package de.ivu.elect.business.internet.control;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.inject.Inject;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.ivu.elect.background.scheduler.AbstractSchedulerServiceAsync;
import de.ivu.elect.background.scheduler.AbstractSchedulerServiceTransaction;
import de.ivu.elect.background.scheduler.SchedulerEvent;
import de.ivu.elect.business.wahl.entity.WahlPK;

@Stateless
@TransactionAttribute(TransactionAttributeType.NEVER)
public class PraesentationAsynchronBereitstellenAsync extends AbstractSchedulerServiceAsync<WahlPK> {

  private static final Logger LOG = LoggerFactory.getLogger(PraesentationAsynchronBereitstellenAsync.class);

  @Inject
  private transient PraesentationAsynchronBereitstellenEvent event;

  @Inject
  private transient PraesentationAsynchronBereitstellenTransaction transaction;

  @Override
  protected AbstractSchedulerServiceTransaction<WahlPK> getServiceTransaction() {
    return transaction;
  }

  @Override
  protected Logger getLog() {
    return LOG;
  }

  @Override
  protected SchedulerEvent getEvent() {
    return event;
  }
}
